Member Function
IntervalTree
Constructor
IntervalTree(intervalBegins, intervalEnds, intervalCargos, len)
IntervalTree(intervalBegins, intervalEnds, len)
IntervalTree(String<TInterval> intervals)
IntervalTree(String<TInterval> intervals, Tag<TTagSpec> const tag)
IntervalTree(String<TInterval> intervals, TValue center)
Parameters

intervalBegins | Iterator pointing to begin position of first interval.
intervalEnds | Iterator pointing to end position of first interval.
intervalCargos | Iterator pointing to cargos/ids for intervals.
len | Number of intervals to store in tree.

Member of
IntervalTree
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49